- Démarrage
- Authentification
- Étendues et autorisations
- API de gestion de plate-forme
Consumption breakdown by process for a specific tenant, with pagination, sorting, filtering, and optional per-service breakdown.
Use this endpoint to retrieve a consumption breakdown by process for a specific tenant.
Unlike Get Tenant Consumption Summary, this endpoint does not require organization administrator permissions. A user with tenant-scoped license viewing permission for the tenant can call it.
Point de terminaison de l’API
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-by-process
Remplacez {accessURL} dans tous les chemins de point de terminaison par l'URL de base de votre plate-forme cloud :
| Cloud Platform | URL d'accès |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Secteur Public | https://govcloud.uipath.us/ |
| Test Cloud dédié | https://{customURL}.dedicated.uipath.com/ |
Le nom de votre organisation apparaît dans l’URL juste après l’URL d’accès lorsque vous êtes connecté au produit, par exemple {accessURL}/{organizationName}/....
En-têtes de requête.
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
To obtain the {access_token}, make sure to authenticate through the Resource Owner Password Credentials (ROPC) method described in Authentication methods.
Paramètres de chemin d'accès
| Paramètre du chemin d'accès | Type de données | Description |
|---|---|---|
organizationId (requis) | Chaîne (GUID) | L'ID de l'organisation dans laquelle réside votre locataire. |
Corps de la requête
The request body specifies the tenant, date range, and optional filters, pagination, and sorting options.
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"aggregateByOwnership": false,
"processNameFilter": "string",
"processType": "string",
"folderKeys": ["string"],
"skip": 0,
"take": 50,
"sortBy": "string",
"sortDescending": true,
"includeServiceBreakdown": false
}
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"aggregateByOwnership": false,
"processNameFilter": "string",
"processType": "string",
"folderKeys": ["string"],
"skip": 0,
"take": 50,
"sortBy": "string",
"sortDescending": true,
"includeServiceBreakdown": false
}
tenantIdis required. The ID of the tenant for which to retrieve consumption.startDateandendDateare Unix timestamps in seconds. Both bounds are inclusive. Values provided in milliseconds are rejected with a400 Bad Requesterror indicating that seconds are expected.aggregateByOwnershipest facultatif (par défaut:false). Lorsqu’elle est définie surtrue, la consommation est agrégée par le dossier qui possède le processus plutôt que de l’endroit où il a été exécuté.processNameFilteris optional. Filters results by process name.processTypeis optional. Filters results by process type.folderKeysis optional. Provide a list of folder GUIDs to limit results to specific folders.skipis optional (default:0). Pagination offset.takeis optional (default:50). Page size.sortByis optional (default:runs). Eitherrunsor a unit type code (AIU,AGU,PLTU,RU,SPR,TEU,HEAL,APICALLS).sortDescendingis optional (default:true). Sort direction.includeServiceBreakdownis optional (default:false). When set totrue, each process includes a per-service breakdown.
Réponses
200 OK
Returns the consumption breakdown by process for the specified tenant.
totalCountis the number of processes matching the filters, before pagination.consumedUnitslists the unit type codes present in the results.- Each item in
itemsincludesprocessKey,processName,processType,folderKey,runs, andconsumption(an array of{ "unit": string, "quantity": number }objects). consumptionByServiceis included on each item only whenincludeServiceBreakdownistrue, as an array of{ "service": string, "unitBreakdown": [{ "unit": string, "quantity": number }] }objects.subProcessesis optional and, when present, uses the same shape asitems.
Exemple de requête
L’appel doit ressembler à l’exemple suivant (cURL) :
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-process' \
--header 'Authorization: Bearer <your-access-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "4b8f2f6e-1c33-4c8a-9f4e-2c1a7d3b5e90",
"startDate": 1754006400,
"endDate": 1756684799,
"sortBy": "runs",
"includeServiceBreakdown": true
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-process' \
--header 'Authorization: Bearer <your-access-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "4b8f2f6e-1c33-4c8a-9f4e-2c1a7d3b5e90",
"startDate": 1754006400,
"endDate": 1756684799,
"sortBy": "runs",
"includeServiceBreakdown": true
}'
Here's the response body for a successful consumption by process retrieval:
{
"totalCount": 1,
"consumedUnits": ["RU", "AIU"],
"items": [
{
"processKey": "9d3c1a2b-7e45-4f10-b2aa-0c6d8e914f77",
"processName": "InvoiceProcessing",
"processType": "Process",
"folderKey": "2f6e4b8f-1c33-4c8a-9f4e-2c1a7d3b5e90",
"runs": 128,
"consumption": [
{ "unit": "RU", "quantity": 12.5 },
{ "unit": "AIU", "quantity": 340 }
],
"consumptionByService": [
{ "service": "Orchestrator", "unitBreakdown": [{ "unit": "RU", "quantity": 12.5 }] },
{ "service": "Document Understanding", "unitBreakdown": [{ "unit": "AIU", "quantity": 340 }] }
]
}
]
}
{
"totalCount": 1,
"consumedUnits": ["RU", "AIU"],
"items": [
{
"processKey": "9d3c1a2b-7e45-4f10-b2aa-0c6d8e914f77",
"processName": "InvoiceProcessing",
"processType": "Process",
"folderKey": "2f6e4b8f-1c33-4c8a-9f4e-2c1a7d3b5e90",
"runs": 128,
"consumption": [
{ "unit": "RU", "quantity": 12.5 },
{ "unit": "AIU", "quantity": 340 }
],
"consumptionByService": [
{ "service": "Orchestrator", "unitBreakdown": [{ "unit": "RU", "quantity": 12.5 }] },
{ "service": "Document Understanding", "unitBreakdown": [{ "unit": "AIU", "quantity": 340 }] }
]
}
]
}